import java.sql.*;

public class Esercizio_1_1 {
   public static void main(String[] arg){
      Connection con = null;
      try { // Caricamento del driver
	    Class.forName("sun.jdbc.odbc.JdbcOdbcDriver");
      }
      catch (ClassNotFoundException exClass) {
            System.err.println("Fallita connessione al database. Errore 1");
            System.exit(-1);
      }  
      try { // Apertura della connessione
            String url = "jdbc:odbc:Eserc_3";
            String username = "";
            String pwd = "";  
            con = DriverManager.getConnection(url, username, pwd);
      }
      catch (SQLException exSQL) {
            System.err.println("Fallita connessione al database.. La fonte ODBC non esiste.");
            System.err.println(exSQL.getErrorCode() + " " + exSQL.getSQLState() +  exSQL.getMessage() );
            System.exit(-1);
      }
     
      
      try { // Esecuzione dell'interrogazione SQL
	    Statement CreateTable = con.createStatement();
	    CreateTable.executeUpdate( "CREATE TABLE Fornitori ("  +
                      "CodiceFornitore   VARCHAR (8)  NOT NULL, "  +
                      "Nome              VARCHAR (20) NOT NULL, "  +
                      "Indirizzo         VARCHAR (30)         , "  +
                      "Citt             VARCHAR (20)         , "  +
                      "PRIMARY KEY( CodiceFornitore )"             +
                                                              ")" );
            System.out.println("La tabella Fornitori e' stata creata.");
      CreateTable.close();
		con.close();
	}
      catch (Exception exQuery){System.err.println("Errore nell'interrogazione");}
   }
}