import java.sql.*;

public class Esercizio_1_3 {
      public static void main(String[] arg){
      Connection con = null;
      try { // Caricamento del driver
	    Class.forName("sun.jdbc.odbc.JdbcOdbcDriver");
      }
      catch (ClassNotFoundException exClass) {
            System.err.println("Fallita connessione al database. Errore 1");
            System.exit(-1);
      }  
      try { // Apertura della connessione
            String url = "jdbc:odbc:Eserc_3";
            String username = "";
            String pwd = "";  
            con = DriverManager.getConnection(url, username, pwd);
      }
      catch (SQLException exSQL) {
            System.err.println("Fallita connessione al database.. La fonte ODBC non esiste.");
            System.err.println(exSQL.getErrorCode() + " " + exSQL.getSQLState() +  exSQL.getMessage() );
            System.exit(-1);
      }
     
      
      try { // Esecuzione dell'interrogazione SQL
	    Statement query = con.createStatement();
	    String queryString =
                "select Nome, Indirizzo, Citt,     " +
                "   Marca, Tipo, Modello, Costo     " +
                "from Fornitori, Catalogo, Prodotti " +
                "where CodiceFornitore = CodiceF    " +
                "  and CodiceProdotto = CodiceP     " +
                "order by Nome, Marca, Tipo, Modello ";
	    ResultSet result = query.executeQuery(queryString);
          // Elaborazione del risultato
          boolean newFornitore = true ;
          boolean firstRow = true ;
          String nomeF, indirizzoF, cittaF, marcaP, tipoP, modelloP, costoC ;
          String nomeF_old = "";
          while (result.next()){
              nomeF = result.getString("Nome");
	        indirizzoF = result.getString("Indirizzo");
   	        cittaF = result.getString("Citt");
              if (nomeF_old.equals(nomeF)){
                  newFornitore = false ;
              }
              if (newFornitore){
		      System.out.println(nomeF + " " + indirizzoF + " " + cittaF );
	        }
              marcaP = result.getString("Marca");
	        tipoP = result.getString("Tipo") ;
	        modelloP = result.getString("Modello") ;
	        costoC = result.getString("Costo") ;
	        System.out.println("   " + marcaP +
                  " " + tipoP + "  " + modelloP + " " + costoC);
	        nomeF_old = nomeF ;
              newFornitore = true ;
          }
       query.close();
	    con.close();
	}
      catch (SQLException exQuery){
	          System.err.println("Errore nell'interrogazione");
	          System.err.println(exQuery.getErrorCode() + " " + exQuery.getSQLState() +
	          "\n" + exQuery.getMessage() );
      }
      }
}